ScatterGraph (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.plotLayer
Class ScatterGraph

    java.lang.Object
      com.bbn.openmap.layer.plotLayer.ScatterGraph

    public class ScatterGraph

extends java.lang.Object

Field Summary
`protected OMGraphicList` | `plot_background_`
`protected OMGraphicList` | `plot_graphics_`
`protected OMGraphicList` | `plot_points_`

Constructor Summary
`ScatterGraph(int height, int width, int xoffset, int yoffset, java.util.Vector sites, float minyear, float maxyear, float mintemp, float maxtemp)`
`ScatterGraph(int height, int width, java.util.Vector sites, float minyear, float maxyear, float mintemp, float maxtemp)` Set up the size of the graph, and scale all the axes correctly.

Method Summary
`OMGraphicList` | `getPlotGraphics()`
`void` | `plotData()` Create OMGraphics for all the data points on the plot
`void` | `resize(int x, int y, int newwidth, int newheight)`
`OMGraphic` | `selectPoint(int x, int y, float range)`
`void` | `setDataPoints(java.util.Vector sites)` Give us new data points to plot.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### plot_graphics_

    protected OMGraphicList plot_graphics_

### plot_points_

    protected OMGraphicList plot_points_

### plot_background_

    protected OMGraphicList plot_background_

Constructor Detail

### ScatterGraph

    public ScatterGraph(int height,
                        int width,
                        java.util.Vector sites,
                        float minyear,
                        float maxyear,
                        float mintemp,
                        float maxtemp)

  Set up the size of the graph, and scale all the axes correctly.

### ScatterGraph

    public ScatterGraph(int height,
                        int width,
                        int xoffset,
                        int yoffset,
                        java.util.Vector sites,
                        float minyear,
                        float maxyear,
                        float mintemp,
                        float maxtemp)

Method Detail

### resize

    public void resize(int x,
                       int y,
                       int newwidth,
                       int newheight)

### setDataPoints

    public void setDataPoints(java.util.Vector sites)

  Give us new data points to plot.

  Parameters:
    `sites` - the sites

### getPlotGraphics

    public OMGraphicList getPlotGraphics()

### plotData

    public void plotData()

  Create OMGraphics for all the data points on the plot

### selectPoint

    public OMGraphic selectPoint(int x,
                                 int y,
                                 float range)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details